<?php

function monetaSdkAutoloader() {
    $file_map = array(
        'MonetaSdk.php',
        'MonetaSdkException.php',
        'MonetaSdkReceipt.php',
        'MonetaSdkService.php',
        'MonetaSdkService.php',
        'MonetaSdkSettings.php'
    );

    $vendorDir = __DIR__ . "/src/";

    foreach ($file_map as $one_file) {
        $filepath = $vendorDir . $one_file;
        require_once($filepath);
    }
}

spl_autoload_register('monetaSdkAutoloader');
